package com.test.ispn;

import java.io.IOException;

import org.infinispan.manager.DefaultCacheManager;
import org.infinispan.manager.EmbeddedCacheManager;
import org.infinispan.rest.RestServer;
import org.infinispan.rest.configuration.RestServerConfigurationBuilder;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;

@SpringBootApplication
public class Application {
    private static ApplicationContext applicationContext;

    public static void main(String... args) throws IOException {
        startInfinispan(args);
    }

    private static void startInfinispan(String[] args) throws IOException {
        applicationContext = SpringApplication.run(Application.class, "--trace");
        DefaultCacheManager cacheManager = new DefaultCacheManager("distlayer-distributed-config.xml");
        RestServer restServer = new RestServer();
        restServer.start(new RestServerConfigurationBuilder().host("0.0.0.0").port(8080).build(), cacheManager);
    }
}
